package com.adi.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties(prefix = "airopthttp")
public class AiroptHttpConfig {
    private String url;
    private String channelNo;
    private String clientToken;
    private String userId;
    private String UserKeyPre;

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getChannelNo() {
        return channelNo;
    }

    public void setChannelNo(String channelNo) {
        this.channelNo = channelNo;
    }

    public String getClientToken() {
        return clientToken;
    }

    public void setClientToken(String clientToken) {
        this.clientToken = clientToken;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserKeyPre() {
        return UserKeyPre;
    }

    public void setUserKeyPre(String userKeyPre) {
        UserKeyPre = userKeyPre;
    }
}
